Get Operation by ID
curl --request GET \
--url https://test-api-kore.kravata.co/api/v1/admin/operation/{operation_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://test-api-kore.kravata.co/api/v1/admin/operation/{operation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://test-api-kore.kravata.co/api/v1/admin/operation/{operation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "9d0ba2b6-6b84-4474-a0fd-456e3967eb4d",
"userId": "c9a26b49-7b71-44e5-8fdf-03ec6a2a7267",
"type": "CUSTODY",
"custodyType": "SELF_CUSTODY",
"prefix": "NPO",
"numberCode": 19144,
"originId": "5c3fa520-adbb-49aa-a95b-018c13db79e3",
"destinationId": "dfa1bb42-74b7-4dab-b52b-0ec2e26253db",
"symbolOrigin": "USDC",
"symbolDestination": "USD",
"amountOrigin": 50,
"amountDestination": 25,
"rate": 1,
"paymentMethod": "WIRE",
"registerDate": "2026-06-22T14:40:28.631968",
"status": "COMPLETED",
"direction": "WITHDRAWAL",
"depositInstructions": null,
"metadataItems": null,
"events": null,
"treasuryItems": [
{
"id": "038cbf6e-49e3-49c5-9c69-d57dadc7ebbb",
"operationId": "9d0ba2b6-6b84-4474-a0fd-456e3967eb4d",
"name": "CostInfra",
"amount": 25,
"showClient": true
},
{
"id": "2ff13b63-b763-4da6-98d5-c3a204639d60",
"operationId": "9d0ba2b6-6b84-4474-a0fd-456e3967eb4d",
"name": "calculateRate",
"amount": 1,
"showClient": true
},
{
"id": "e92f9be7-8449-4d25-9e03-70dc0e8694ef",
"operationId": "9d0ba2b6-6b84-4474-a0fd-456e3967eb4d",
"name": "amountReceive",
"amount": 25,
"showClient": true
}
]
}Liquidity Ramps
Get Operation by ID
Retrieves a single operation, including its current status and deposit instructions.
Request
| Field | Type | Required | Description |
|---|---|---|---|
| Authorization | Header | Yes | Bearer <access_token> obtained from POST /api/v1/client/token. |
| operation_id | Path | Yes | Identifier of the operation, from GET /admin/operations or the creation response. |
Response
| Field | Description |
|---|---|
| id | Unique identifier of the operation. |
| userId | User that owns the operation. |
| numberCode | Sequential tracking number. |
| direction | Kind of operation (e.g. DEPOSIT, WITHDRAWAL, TRANSFER, RECHARGE). |
| symbolOrigin / symbolDestination | Assets debited and credited. |
| amountOrigin / amountDestination | Amounts debited and credited. |
| originId / destinationId | Origin and destination of the funds. |
| rate | Rate applied. |
| paymentMethod | Rail used. |
| status | Current status (e.g. PENDING, AWAITING_DEPOSIT, COMPLETED, REJECTED, CANCELED). |
| registerDate | Creation timestamp. |
| depositInstructions | Where to send the funds, when applicable. |
| treasuryItems | Cost breakdown of the operation. |
GET
/
api
/
v1
/
admin
/
operation
/
{operation_id}
Get Operation by ID
curl --request GET \
--url https://test-api-kore.kravata.co/api/v1/admin/operation/{operation_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://test-api-kore.kravata.co/api/v1/admin/operation/{operation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://test-api-kore.kravata.co/api/v1/admin/operation/{operation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "9d0ba2b6-6b84-4474-a0fd-456e3967eb4d",
"userId": "c9a26b49-7b71-44e5-8fdf-03ec6a2a7267",
"type": "CUSTODY",
"custodyType": "SELF_CUSTODY",
"prefix": "NPO",
"numberCode": 19144,
"originId": "5c3fa520-adbb-49aa-a95b-018c13db79e3",
"destinationId": "dfa1bb42-74b7-4dab-b52b-0ec2e26253db",
"symbolOrigin": "USDC",
"symbolDestination": "USD",
"amountOrigin": 50,
"amountDestination": 25,
"rate": 1,
"paymentMethod": "WIRE",
"registerDate": "2026-06-22T14:40:28.631968",
"status": "COMPLETED",
"direction": "WITHDRAWAL",
"depositInstructions": null,
"metadataItems": null,
"events": null,
"treasuryItems": [
{
"id": "038cbf6e-49e3-49c5-9c69-d57dadc7ebbb",
"operationId": "9d0ba2b6-6b84-4474-a0fd-456e3967eb4d",
"name": "CostInfra",
"amount": 25,
"showClient": true
},
{
"id": "2ff13b63-b763-4da6-98d5-c3a204639d60",
"operationId": "9d0ba2b6-6b84-4474-a0fd-456e3967eb4d",
"name": "calculateRate",
"amount": 1,
"showClient": true
},
{
"id": "e92f9be7-8449-4d25-9e03-70dc0e8694ef",
"operationId": "9d0ba2b6-6b84-4474-a0fd-456e3967eb4d",
"name": "amountReceive",
"amount": 25,
"showClient": true
}
]
}Authorizations
Access token from POST /api/v1/client/token.
Path Parameters
Response
200 - application/json
OK
Show child attributes
Show child attributes

